# About

Drupal Core uses the RFCValidation from [egulias/EmailValidator](https://github.com/egulias/EmailValidator) to validate
email addresses. However, the RFC allows from [email addresses with no domain](https://www.drupal.org/project/drupal/issues/2822142),
which is often not the desired behaviour.

This module implements all other Validations provided by [egulias/EmailValidator](https://github.com/egulias/EmailValidator) as services.
More importantly, on the module config page, you can also replace the Core service (RFCValidation) with any of your choosing and even combine multiple
using the MultipleValidationWithAnd validation.

Included Validations:

* DNSCheckValidation (default)
* MessageIDValidation
* MultipleValidationWithAnd
* NoRFCWarningValidation
* RFCValidation, same as core, so only as option for MultipleValidationWithAnd.
* SpoofCheckValidation

DNSCheckValidation is the default replacement Validation.
